#pragma once

#include <BWAPI.h>
#include "CBase.h"
#include "CUnit.h"
#include "Macro.h"
#include "Util.h"

using namespace BWAPI;

class PlayerAssessment
{
public:
	// determine what a player has, and what they can do with it
	static int estimateBaseMinedMinerals(int playerID, CBase b);
	static int estimateTotalGas(int playerID);
	static int estimateTotalMinerals(int playerID);

	static int estimateUnitCount(int playerID, BWAPI::UnitType unit);
};